Subject: Re: Compiling postgresql

From: "Delao, Darryl W" <[email-masked]>
Date: Thu, 6 Mar 2003 15:02:16 -0600

Yes, 512 concurrent connections.  I have the db running on a dual xeon 2.4
ghz machine with 6 gig of ram...basically, im not even touching the ram at
this point.  If I wanted to increase to say 1024, then your saying I need to
look into the kernel-level limits?  When I tried to set it to 1024 before,
the postgres service wouldn't even start.  Do you think the reason for that
was some sort of kernel level problem or setting that needed to be tweaked?

Thanks,
Darryl

-----Original Message-----
From: Tom Lane [mailto:[email-masked]] 
Sent: Thursday, March 06, 2003 2:59 PM
To: Delao, Darryl W
Cc: [email-masked]
Subject: Re: [DOCS] Compiling postgresql

"Delao, Darryl W" <[email-masked]> writes:
> never had to compile postgres before.  My main concern is what would I
need
> to change other than the user limit to make postgres to where it would
> accept connections higher than 512 and what steps are involved in the
> compiling process.  Right now, if I try to set the user limit above 512,
> postgres simply will not start.  Any help is greatly appreciated.  

You mean 512 concurrent connections?  It sounds to me like you are
running into kernel-level limits on amount of shared memory or number
of semaphores.  But without seeing the error message the postmaster
puts out, it's hard to be sure.  See the discussion about "Managing
Kernel Resources" in the PG Administrator's Guide.

There has been no compile-time limit on number of connections for
several releases now, so I doubt you need to recompile.  (If you do,
you are overdue for an update.)

			regards, tom lane

---

From: Neil Conway <[email-masked]>
Date: 06 Mar 2003 19:44:14 -0500

On Thu, 2003-03-06 at 16:02, Delao, Darryl W wrote:
> look into the kernel-level limits?

No, I think Tom is saying that you should provide the error message
you're encountering. For more information on configuring kernel-level
shared memory settings, see

http://www.ca.postgresql.org/users-lounge/docs/7.3/postgres/kernel-resources.html

Cheers,

Neil

P.S. User support should be done on lists like pgsql-general or
pgsql-novice, not pgsql-docs

-- 
Neil Conway <[email-masked]> || PGP Key ID: DB3C29FC